aboutsummaryrefslogtreecommitdiffstats
path: root/pkg/html/pages/gen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkg/html/pages/gen.sh')
-rwxr-xr-xpkg/html/pages/gen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/pkg/html/pages/gen.sh b/pkg/html/pages/gen.sh
new file mode 100755
index 000000000..a326138b2
--- /dev/null
+++ b/pkg/html/pages/gen.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+# Copyright 2020 syzkaller project authors. All rights reserved.
+# Use of this source code is governed by Apache 2 LICENSE that can be found in the LICENSE file.
+
+set -eu
+
+echo '// Code generated by pkg/html/html.go. DO NOT EDIT.' > generated.go
+echo 'package pages' >> generated.go
+echo 'const style = `' >> generated.go
+cat ../../../dashboard/app/static/style.css >> generated.go
+echo '`' >> generated.go
+echo 'const js = `' >> generated.go
+cat ../../../dashboard/app/static/common.js >> generated.go
+echo '`' >> generated.go